#include "c2d2/chien2d2.h"

extern unsigned int spmira;
extern unsigned int botao_menu;
extern unsigned int botao_sair;
extern int estadoatual;
extern bool encerra;
extern unsigned int fonte32;
extern unsigned int win;

void Win(){
	C2D2_Botao *teclas = C2D2_PegaTeclas();
    C2D2_Mouse *mouse = C2D2_PegaMouse();
    int menu = 0, sair = 0;
	C2D2_Sincroniza(C2D2_FPS_PADRAO);
	do
	{
        if(C2D2_ColidiuSprites(spmira, 0, mouse->x, mouse->y, botao_menu, 0, 550, 418)) //mouse colidiu com botão jogar
            menu=1;
        else
            menu=0;
        if(C2D2_ColidiuSprites(spmira, 0, mouse->x, mouse->y, botao_sair, 0, 550, 478)) //mouse colidiu com botão sair
            sair=1;
        else
            sair=0;
        if(mouse->botoes[C2D2_MESQUERDO].pressionado)
        {
            if(menu==1)
                estadoatual = 1;
            else if(sair==1)
                encerra=true;
        }
		C2D2_LimpaTela();
		C2D2_DesenhaSprite(win, 0, 0, 0);
		C2D2_DesenhaTexto(fonte32, 20, 168, "Congratulations!", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 20, 202, "You find the right key and opened the right door!", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 20, 236, "It means you escaped from your unconscious state!", C2D2_TEXTO_ESQUERDA);
        C2D2_DesenhaSprite(botao_menu, menu, 550, 418);
		C2D2_DesenhaSprite(botao_sair, sair, 550, 478);
        C2D2_DesenhaSprite(spmira, 0, mouse->x, mouse->y);
		C2D2_Sincroniza(C2D2_FPS_PADRAO);
	}
	while(estadoatual==10 && !encerra);
}